---
title: "Login progress"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/accounts.login_status
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Login progress

Login progress: step, QR link (while waiting for a scan), code type, 2FA hint, errors.

Login progress: step, QR link (while waiting for a scan), code type, 2FA hint, errors.

## Overview

| Name | Value |
| --- | --- |
| Code | `accounts.login_status` |
| Scope needed | `accounts.manage` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | Accounts → Login |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `attemptId` | `uuid` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/accounts.login_status \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"attemptId":"00000000-0000-0000-0000-000000000000"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `attempt` | `object` | Yes |

## Example answer

```json
{
  "data": {
    "attempt": {
      "id": "00000000-0000-4000-8000-000000000000",
      "account_id": "00000000-0000-4000-8000-000000000000",
      "method": "text",
      "step": "text",
      "qr_url": "text",
      "qr_expires_at": "2026-10-22T12:00:00.000Z",
      "phone_code_type": "text",
      "password_hint": "text",
      "error_code": "text",
      "error_message": "text",
      "wait_until": "2026-10-22T12:00:00.000Z",
      "finished_at": "2026-10-22T12:00:00.000Z",
      "created_at": "2026-10-22T12:00:00.000Z"
    }
  }
}
```

## Using it over MCP

Tool `accounts_login_status` is listed on the profiles: Administration (`admin`). On other profiles, find it with `tools_search` and run it with `tools_run`.
